ru.bitel.bgbilling.kernel.network.radius

## Class RadiusAttributeInfo<V>

- java.lang.Object
- - ru.bitel.bgbilling.kernel.network.tlv.TlvInfo<RadiusAttributeInfo<?>,V,RadiusAttributeInfo.RadiusAttributeHeader>
  - - ru.bitel.bgbilling.kernel.network.radius.RadiusAttributeInfo<V>

- All Implemented Interfaces:
    java.lang.Iterable<RadiusAttributeInfo<?>>

      public abstract class RadiusAttributeInfo<V>
      extends TlvInfo<RadiusAttributeInfo<?>,V,RadiusAttributeInfo.RadiusAttributeHeader>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RadiusAttributeInfo.RadiusAttributeHeader`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `addAvpName`
    `protected boolean` | `continuation` WiMax continuation
    `protected boolean` | `fragmented` EAP;
    `protected int` | `tag`
    `int` | `vendor`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.network.tlv.TlvInfo

      `children, childrenList, childrenMap, name, nameChildrenMap, paramLengthLength, paramTypeLength, parent, type, TYPE_ABINARY, TYPE_BYTE, TYPE_DOUBLE, TYPE_FLOAT, TYPE_INTEGER, TYPE_IPADDR, TYPE_IPV6ADDR, TYPE_IPV6PREFIX, TYPE_LONG, TYPE_OCTETS, TYPE_SHORT, TYPE_STRING, TYPE_TLV, valueType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RadiusAttributeInfo(int vendor, int code, java.lang.String name, int valueType, org.w3c.dom.Element attr, java.util.List<RadiusAttributeInfo<?>> children)`
    `RadiusAttributeInfo(int vendor, int code, java.lang.String name, int valueType, int tag, int paramTypeSize, int paramLengthSize, boolean continuation, boolean addAvpName, java.util.List<RadiusAttributeInfo<?>> children)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RadiusAttribute<?>` | `read(java.nio.ByteBuffer bb, RadiusAttributeInfo.RadiusAttributeHeader header)` Нам уже известны тип и длина - читаем дальше
    `protected java.nio.ByteBuffer` | `readWithContinuation(java.nio.ByteBuffer dataWithoutTag, java.nio.ByteBuffer bb)`
    `protected java.nio.ByteBuffer` | `tagUnwrap(java.nio.ByteBuffer data, RadiusAttributeInfo.RadiusAttributeHeader header)`
    `void` | `write(RadiusAttribute<?> attribute, java.nio.ByteBuffer bb)`
    `protected void` | `writeAttribute(int tag, java.nio.ByteBuffer[] data, java.nio.ByteBuffer bb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.network.tlv.TlvInfo

      `getChild, getChild, iterator, readTypeLength, setParent, sliceData, unwrapValue, valueToString, wrapValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### vendor

          public final int vendor

    - #### addAvpName

          protected final boolean addAvpName

    - #### tag

          protected final int tag

    - #### continuation

          protected final boolean continuation

      WiMax continuation

    - #### fragmented

          protected boolean fragmented

      EAP;

  - ### Constructor Detail

    - #### RadiusAttributeInfo

          public RadiusAttributeInfo(int vendor,
                                     int code,
                                     java.lang.String name,
                                     int valueType,
                                     int tag,
                                     int paramTypeSize,
                                     int paramLengthSize,
                                     boolean continuation,
                                     boolean addAvpName,
                                     java.util.List<RadiusAttributeInfo<?>> children)

    - #### RadiusAttributeInfo

          public RadiusAttributeInfo(int vendor,
                                     int code,
                                     java.lang.String name,
                                     int valueType,
                                     org.w3c.dom.Element attr,
                                     java.util.List<RadiusAttributeInfo<?>> children)

  - ### Method Detail

    - #### read

          public RadiusAttribute<?> read(java.nio.ByteBuffer bb,
                                         RadiusAttributeInfo.RadiusAttributeHeader header)

      Нам уже известны тип и длина - читаем дальше
      Specified by:
        `read` in class `TlvInfo<RadiusAttributeInfo<?>,V,RadiusAttributeInfo.RadiusAttributeHeader>`

    - #### tagUnwrap

          protected java.nio.ByteBuffer tagUnwrap(java.nio.ByteBuffer data,
                                                  RadiusAttributeInfo.RadiusAttributeHeader header)

    - #### readWithContinuation

          protected java.nio.ByteBuffer readWithContinuation(java.nio.ByteBuffer dataWithoutTag,
                                                             java.nio.ByteBuffer bb)

    - #### write

          public void write(RadiusAttribute<?> attribute,
                            java.nio.ByteBuffer bb)

    - #### writeAttribute

          protected void writeAttribute(int tag,
                                        java.nio.ByteBuffer[] data,
                                        java.nio.ByteBuffer bb)